<p align="center"><img src="https://i.ibb.co/1qytz1R/Banner-Sea-Animals.png"></p>
<p align="center"><b>For Questions or Comments go to: <a href="https://discord.gg/mZNHDwxTgp">Marlton's Channel</a> or to my website: <a href="https://marlthon.com/">Marlthon's Website</a></b></p>

# Description
Marine animals arrived in Valheim (Orca, Dolphins, Sharks, Crocodile, Turtles, Seal, Penguin and Jellyfish) and with them new tasty meats.</br>
Meats can be prepared in any cooking station (Vanilla).</br>
Only Orca and Dolphin can be tamed, ridden and reproduced. For the reproduction of orcas and dolphins a minimum depth of 5m is required</br>

## Support

Did you like my Mods? If you want to support me click on the image link below:</br>

<a href="https://marlthon.com/spontaneous-donation"><img src="https://i.ibb.co/kJqcqkg/Pay-Pal-Donate.png" /></a>

*Any donation help me to continue creating and updating mods. Thank you very much for your support.**

<p align="center"><a href="https://marlthon.com/custom-mods"><img src="https://i.ibb.co/YTJ91SF/Banner-Custom-Mods.png" /></a></p>

<details>
<summary><b>Sea Animals PrefabNames</b> (<i>click to expand</i>)</summary>
<br/>

	Orca:
	PrefabName: SA_Orca
	Spawn Biomes: Ocean and DeepNorth
	Required Weather:  ClearSkies, LightRain, Clear Thunder Storm and DeepNorth Clear
	Spawn Time = Day

	White Shark:
	PrefabName: SA_WhiteShark
	Spawn Biomes: Meadows
	Required Weather: Weather.ClearSkies | Weather.LightRain | Weather.ClearThunderStorm),
	Spawn Time = Always

	Blacktip Shark:
	PrefabName: SA_BlacktipShark
	Spawn Biomes: Plains.
	Required Weather: None.
	Spawn Time = Always

	Sea Turtles:
	PrefabName: SA_BlueTurtle, SA_GreenTurtle, SA_RedTurtle, SA_YellowTurtle.
	Spawn Biomes: Meadows, Black Forest, Plains and Mistlands.
	Required Weather: ClearSkies, LightRain, Clear ThunderStorm and Meadows ClearSkies.
	Spawn Time = Always

	Crocodile:
	PrefabName: SA_Crocodile
	Spawn Biomes: Black Florest.
	Required Weather: None
	Spawn Time = Always.
	
	Seal:
	PrefabName: SA_Seal
	Spawn Biomes: DeepNorth.
	Required Weather: None.
	Spawn Time = Always.

	Penguin:
	PrefabName: SA_Penguin
	Spawn Biomes: DeepNorth.
	Required Weather: None
	Spawn Time = Always.
	
	Dolphin:
	PrefabName: SA_Dolphin
	Spawn Biomes: Ocean.
	Required Weather:  ClearSkies, LightRain and Clear ThunderStorm.
	Spawn Time = Day

	JellyFish:
	PrefabName: SA_JellyFish
	Spawn Biomes: Meadows, BlackForest, Plains and Mistlands.
	Required Weather: None.
	Spawn Time = Night.
	
</details>

<p align="center"><img src="https://i.ibb.co/FDgCkWx/Mosaico-Sea-Animals.jpg"></p>

# Thanks

My sincere thanks to the entire OdinPlus team -  <i>@Azummat - @Blaxxun's - DefendYourBase</i>

A special thanks to my Professor <i>@GraveBear</i>, without his teachings and his encouragement I would never have gotten it.


<p align="center"><img src="https://i.ibb.co/XkCT77x/Marlthon-Mods.png"></p>

# Manual Install

>Mod is required on Server for Config Sync (this is still in development). 

>Download the latest copy of Bepinex per author's instructions.

>Place the SeaAnimals.dll inside of the "Bepinex\plugins\" folder.

<p align="center"><b>For Questions or Comments go to: <a href="https://discord.gg/mZNHDwxTgp">Marlton's Channel</a> or to my website: <a href="https://marlthon.com/">Marlthon's Website</a></b></p>


 # Latest ChangeLog

	v0.2.2
	- Updated BepInex dependency version (5.4.2202) in Manifest.
	- Removed Jellyfish.
	
<details>
<summary><b>Previous ChangeLog</b> (<i>click to expand</i>)</summary>
<br/>

	v0.0.1
	- First version released, server sync active. (Will override player config if installed to server)
 
	v0.0.2
	- Canceled

	v0.0.3
	- Added Crocodile, Crocodile Tail Meat and Crocodile Tail Meat Cooked.
 
	v0.0.4
	- Orcas now attack boats, can be tamed with turtle meat, and can breed.
	- Turtles now attack and drop turtle meat.
	- Changed textures and animations. The meats float.
 
	v0.0.5
	- fixes in spawnthat config.
  
	v0.0.6
	- Faction changes and spawn fixes in spawnthat's .cfg
 
	v0.0.7
	- Added Orca Rope. Orcas can now be mounted.
 
	v0.0.8
	- Added turtlered, turtleblue, turtleyellow, BlacktipShark, Seal and Penguin.
	- Removed Spawnthat dependency
 
	v0.0.9
	- Added Dolphin (Can be tamed, ridden and reproduced.)
	- Fixed attack bugs of orcas, crocodiles and sharks and other small fixes.
	- Added translation. (Portuguese, Chinese, German, French, Spanish, German and Russian)
 
	v0.1.0
	- Fixed Dolphin spawn.
 
	v0.1.1
	- Fix for Valheim Update Patch 0.211.11 (28/10/2022)
   
	v0.1.2
	- Mistlands Compatible.
	- Turtles no longer attack and sharks no longer attack player buildings.
   
	v0.1.3
	- Fixed HarmonyPatch bug.
   
	v0.1.4
	- Post fixes and changes to discord addresses.
 
	v0.1.5
	- Fixed issues with turtles
 
	v0.1.6
	- Removed attack from Orcas and Turtles.
	- Added compatibility with Patch 0.216.9
 
	v0.1.7
	- Updated to the latest valheim build (217.14) hilders request.
	- Registered multiplayer effects.
	
	v0.1.8
	- Fixed issue when taming Orcas and Dolphins
	
	v0.1.9
	- Added Jellyfish
	- Fixed little bugs.
	
	v0.2.0
	- Fixed issues with JellyFish death.
	
	v0.2.1
	- Updated for Valheim 0.217.22.
	- Updated for BepInEx 5.4.22.
	- Updated ServerSync to v1.15.
	- Updated PieceManager to v1.1.4.
</details>